Public bug reported:

#!/bin/sh
#
# alsa-utils initscript
#
### BEGIN INIT INFO
# Provides:          alsa-utils
# Required-Start:    $remote_fs
# Required-Stop:     $remote_fs
# Default-Start:     
# Default-Stop:      0 6
# Short-Description: Restore and store ALSA driver settings
# Description:       This script stores and restores mixer levels on
#                    shutdown and bootup.On sysv-rc systems: to
#                    disable storing of mixer levels on shutdown,
#                    remove /etc/rc[06].d/K50alsa-utils.  To disable
#                    restoring of mixer levels on bootup, rename the
#                    "S50alsa-utils" symbolic link in /etc/rcS.d/ to
#                    "K50alsa-utils".
### END INIT INFO

# Don't use set -e; check exit status instead

# Exit silently if package is no longer installed
[ -x /sbin/alsactl ] || exit 0

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
MYNAME=/etc/init.d/alsa-utils
export PULSE_INTERNAL=0

. /lib/lsb/init-functions

# $1 EXITSTATUS
# [$2 MESSAGE]
log_action_end_msg_and_exit()
{
        log_action_end_msg "$1" ${2:+"$2"}
        exit $1
}

# $1 PROGRAM
executable()
{
        # If which is not available then we must be running before
        # /usr is mounted on a system that has which in /usr/bin/.
        # Conclude that $1 is not executable.
        [ -x /bin/which ] || [ -x /usr/bin/which ] || return 1
        which "$1" >/dev/null 2>&1
}

# Wait for filesystems to show up
while [ ! -d /usr/bin -o ! -d /var/lib/alsa ]; do
        sleep 0.2
done

executable amixer || { echo "${MYNAME}: Error: No amixer program
available." >&2 ; exit 1 ; }

bugout() { echo "${MYNAME}: Programming error" >&2 ; exit 123 ; }

# $1 <card ID> | "all"
restore_levels()
{
        [ -f /var/lib/alsa/asound.state ] || return 1
        CARD="$1"
        [ "$1" = all ] && CARD=""
        # Assume that if alsactl prints a message on stderr
        # then it failed somehow.  This works around the fact
        # that alsactl doesn't return nonzero status when it
        # can't restore settings for the card
        if MSG="$(alsactl restore $CARD 2>&1 >/dev/null)" && [ ! "$MSG" ] ; then
                return 0
        else
                # Retry with the "force" option.  This restores more levels
                # but it results in much longer error messages.
                alsactl -F restore $CARD >/dev/null 2>&1
                [ -z "$CARD" ] && log_action_cont_msg "warning: 'alsactl 
restore' failed with error message '$MSG'"
                return 1
        fi
}

# $1 <card ID> | "all"
store_levels()
{
        CARD="$1"
        [ "$1" = all ] && CARD=""
        if MSG="$(alsactl store $CARD 2>&1)" ; then
                sleep 1
                return 0
        else
                [ -z "$CARD" ] && log_action_cont_msg "warning: 'alsactl store' 
failed with error message '$MSG'"
                return 1
        fi
}

echo_card_indices()
{
        if [ -f /proc/asound/cards ] ; then
                sed -n -e's/^[[:space:]]*\([0-7]\)[[:space:]].*/\1/p' 
/proc/asound/cards
        fi
}

filter_amixer_output()
{
        sed \
                -e '/Unable to find simple control/d' \
                -e '/Unknown playback setup/d' \
                -e '/^$/d'
}

# The following functions try to set many controls.
# No card has all the controls and so some of the attempts are bound to fail.
# Because of this, the functions can't return useful status values.

# $1 <control>
# $2 <level>
# $CARDOPT
unmute_and_set_level()
{
        { [ "$2" ] && [ "$CARDOPT" ] ; } || bugout
        amixer $CARDOPT -q set "$1" "$2" unmute 2>&1 | filter_amixer_output || :
        return 0
}

# $1 <control>
# $CARDOPT
mute_and_zero_level()
{
        { [ "$1" ] && [ "$CARDOPT" ] ; } || bugout
        amixer $CARDOPT -q set "$1" "0%" mute 2>&1 | filter_amixer_output || :
        return 0
}

# $1 <control>
# $2 "on" | "off"
# $CARDOPT
switch_control()
{
        { [ "$2" ] && [ "$CARDOPT" ] ; } || bugout
        amixer $CARDOPT -q set "$1" "$2" 2>&1 | filter_amixer_output || :
        return 0
}

# $1 <card ID>
sanify_levels_on_card()
{
        CARDOPT="-c $1"

        unmute_and_set_level "Front" "80%"
        unmute_and_set_level "Master" "80%"
        unmute_and_set_level "Master Mono" "80%"   # See Bug#406047
        unmute_and_set_level "Master Digital" "80%"   # E.g., cs4237B
        unmute_and_set_level "Playback" "80%"
        unmute_and_set_level "Headphone" "70%"
        unmute_and_set_level "PCM" "80%"
        unmute_and_set_level "PCM,1" "80%"   # E.g., ess1969
        unmute_and_set_level "DAC" "80%"     # E.g., envy24, cs46xx
        unmute_and_set_level "DAC,0" "80%"   # E.g., envy24
        unmute_and_set_level "DAC,1" "80%"   # E.g., envy24
        unmute_and_set_level "Synth" "80%"
        unmute_and_set_level "CD" "80%"

        mute_and_zero_level "Mic"
        mute_and_zero_level "IEC958"         # Ubuntu #19648

        # Intel P4P800-MX  (Ubuntu bug #5813)
        switch_control "Master Playback Switch" on
        switch_control "Master Surround" on

        # Trident/YMFPCI/emu10k1:
        unmute_and_set_level "Wave" "80%"
        unmute_and_set_level "Music" "80%"
        unmute_and_set_level "AC97" "80%"

        # DRC:
        unmute_and_set_level "Dynamic Range Compression" "80%"

        # Required for HDA Intel (hda-intel):
        unmute_and_set_level "Front" "80%"

        # Required for SB Live 7.1/24-bit (ca0106):
        unmute_and_set_level "Analog Front" "80%"

        # Required at least for Via 823x hardware on DFI K8M800-MLVF 
Motherboard with kernels 2.6.10-3/4 (see ubuntu #7286):
        switch_control "IEC958 Capture Monitor" off

        # Required for hardware allowing toggles for AC97 through IEC958,
        #  valid values are 0, 1, 2, 3. Needs to be set to 0 for PCM1.
        unmute_and_set_level "IEC958 Playback AC97-SPSA" "0"

        # Required for newer Via hardware (see Ubuntu #31784)
        unmute_and_set_level "VIA DXS,0" "80%"
        unmute_and_set_level "VIA DXS,1" "80%"
        unmute_and_set_level "VIA DXS,2" "80%"
        unmute_and_set_level "VIA DXS,3" "80%"

        # Required on some notebooks with ICH4:
        switch_control "Headphone Jack Sense" off
        switch_control "Line Jack Sense" off

        # Some machines need one or more of these to be on;
        # others need one or more of these to be off:
        #
        # switch_control "External Amplifier" on
        switch_control "Audigy Analog/Digital Output Jack" off
        switch_control "SB Live Analog/Digital Output Jack" off
        
        # D1984 -- Thinkpad T61/X61
        # also needed for Dell Mini 9 and Dell E series
        unmute_and_set_level "Speaker" "80%"
        unmute_and_set_level "Headphone" "80%"

        # HDA-Intel w/ "Digital" capture mixer (See Ubuntu #193823)
        unmute_and_set_level "Digital" "80%"

        # HDA-Intel w/ Digital Mic should default to Digital mic rather than
        # analog (See Ubuntu #314188)
        switch_control "Digital Input Source" "Digital Mic 1"
        switch_control "Digital Input Source" "Digital Mic"

        # Turn off PC Beep on hda cards that support it, see Ubuntu #331589.
        mute_and_zero_level "PC Beep"

        return 0
}

# $1 <card ID> | "all"
sanify_levels()
{
        TTSDML_RETURNSTATUS=0
        case "$1" in
          all)
                for CARD in $(echo_card_indices) ; do
                        sanify_levels_on_card "$CARD" || TTSDML_RETURNSTATUS=1
                done

                ;;
          *)
                sanify_levels_on_card "$1" || TTSDML_RETURNSTATUS=1
                ;;
        esac
        mute_and_zero_levels_on_card "pcsp"
        return $TTSDML_RETURNSTATUS
}

# $1 <card ID>
preinit_levels_on_card()
{
        CARDOPT="-c $1"

        # Silly dance to activate internal speakers by default on PowerMac
        # Snapper and Tumbler
        id=`cat /proc/asound/card$1/id 2>/dev/null`
        if [ "$id" = "Snapper" -o "$id" = "Tumbler" ]; then
                switch_control "Auto Mute" off
                switch_control "PC Speaker" off
                switch_control "Auto Mute" on
        fi
}

# $1 <card ID> | "all"
preinit_levels()
{
        TTSDML_RETURNSTATUS=0
        case "$1" in
          all)
                for CARD in $(echo_card_indices) ; do
                        preinit_levels_on_card "$CARD" || TTSDML_RETURNSTATUS=1
                done
                ;;
          *)
                preinit_levels_on_card "$1" || TTSDML_RETURNSTATUS=1
                ;;
        esac
        return $TTSDML_RETURNSTATUS
}

# $1 <card ID>
mute_and_zero_levels_on_card()
{
        CARDOPT="-c $1"
        for CTL in \
                Master \
                PCM \
                Synth \
                CD \
                Line \
                Mic \
                "PCM,1" \
                Wave \
                Music \
                AC97 \
                "Master Digital" \
                DAC \
                "DAC,0" \
                "DAC,1" \
                Headphone \
                Speaker \
                Playback
        do
                mute_and_zero_level "$CTL"
        done
#       for CTL in \
#               "Audigy Analog/Digital Output Jack" \
#               "SB Live Analog/Digital Output Jack"
#       do
#               switch_control "$CTL" off
#       done
        return 0
}

# $1 <card ID> | "all"
mute_and_zero_levels()
{
        TTZML_RETURNSTATUS=0
        case "$1" in
          all)
                for CARD in $(echo_card_indices) ; do
                        mute_and_zero_levels_on_card "$CARD" || 
TTZML_RETURNSTATUS=1
                done
                ;;
          *)
                mute_and_zero_levels_on_card "$1" || TTZML_RETURNSTATUS=1
                ;;
        esac
        return $TTZML_RETURNSTATUS
}


# $1 <card ID> | "all"
card_OK()
{
        [ "$1" ] || bugout
        if [ "$1" = all ] ; then
                [ -d /proc/asound ]
                return $?
        else
                [ -d "/proc/asound/card$1" ] || [ -d "/proc/asound/$1" ]
                return $?
        fi
}

# If a card identifier is provided in $2 then regard it as an error
# if that card is not present; otherwise don't regard it as an error.

case "$1" in
  start)
        EXITSTATUS=0
        TARGET_CARD="$2"
        case "$TARGET_CARD" in
          ""|all) TARGET_CARD=all ; log_action_begin_msg "Setting up ALSA" ;;
        esac
        if ! card_OK "$TARGET_CARD"; then
                [ "$TARGET_CARD" = "all" ] && log_action_end_msg "$( [ ! "$2" ] 
; echo $? ; )" "none loaded"
                exit $?
        fi
        preinit_levels "$TARGET_CARD" || EXITSTATUS=1
        if ! restore_levels "$TARGET_CARD" ; then
                sanify_levels "$TARGET_CARD" || EXITSTATUS=1
                restore_levels "$TARGET_CARD" >/dev/null 2>&1 || :
        fi
        [ "$TARGET_CARD" = "all" ] && log_action_end_msg_and_exit "$EXITSTATUS"
        exit $EXITSTATUS
        ;;
  stop)
        EXITSTATUS=0
        TARGET_CARD="$2"
        case "$TARGET_CARD" in
          ""|all) TARGET_CARD=all ; log_action_begin_msg "Shutting down ALSA" ;;
          *) log_action_begin_msg "Shutting down ALSA card ${TARGET_CARD}" ;;
        esac
        card_OK "$TARGET_CARD" || log_action_end_msg_and_exit "$( [ ! "$2" ] ; 
echo $? ; )" "none loaded"
        store_levels "$TARGET_CARD" || EXITSTATUS=1
        mute_and_zero_levels "$TARGET_CARD" || EXITSTATUS=1
        log_action_end_msg_and_exit "$EXITSTATUS"
        ;;
  restart|force-reload)
        EXITSTATUS=0
        $0 stop || EXITSTATUS=1
        $0 start || EXITSTATUS=1
        exit $EXITSTATUS
        ;;
  reset)
        TARGET_CARD="$2"
        case "$TARGET_CARD" in
          ""|all) TARGET_CARD=all ; log_action_begin_msg "Resetting ALSA" ;;
          *) log_action_begin_msg "Resetting ALSA card ${TARGET_CARD}" ;;
        esac
        card_OK "$TARGET_CARD" || log_action_end_msg_and_exit "$( [ ! "$2" ] ; 
echo $? ; )" "none loaded"
        preinit_levels "$TARGET_CARD"
        sanify_levels "$TARGET_CARD"
        log_action_end_msg_and_exit "$?"
        ;;
  *)
        echo "Usage: $MYNAME {start [CARD]|stop [CARD]|restart [CARD]|reset 
[CARD]}" >&2
        exit 3
        ;;
esac


00:00.0 Host bridge [0600]: Intel Corporation 82915G/P/GV/GL/PL/910GL Memory 
Controller Hub [8086:2580] (rev 04)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: <access denied>
        Kernel driver in use: agpgart-intel
        Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation 82915G/GV/910GL 
Integrated Graphics Controller [8086:2582] (rev 04)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d0100000 (32-bit, non-prefetchable) [size=512K]
        Region 1: I/O ports at e400 [size=8]
        Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 3: Memory at d0180000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: <access denied>
        Kernel modules: intelfb

00:1d.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #1 [8086:2658] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 23
        Region 4: I/O ports at e000 [size=32]
        Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #2 [8086:2659] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 19
        Region 4: I/O ports at e100 [size=32]
        Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #3 [8086:265a] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin C routed to IRQ 18
        Region 4: I/O ports at e200 [size=32]
        Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #4 [8086:265b] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin D routed to IRQ 16
        Region 4: I/O ports at e300 [size=32]
        Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB2 EHCI Controller [8086:265c] (rev 03) (prog-if 20)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 23
        Region 0: Memory at d01c0000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>
        Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 
d3) (prog-if 01)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: d0000000-d00fffff
        Prefetchable memory behind bridge: 0000000040000000-00000000400fffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: <access denied>

00:1e.2 Multimedia audio controller [0401]: Intel Corporation 
82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller [8086:266e] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:c885]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 17
        Region 0: I/O ports at e500 [size=256]
        Region 1: I/O ports at e600 [size=64]
        Region 2: Memory at d01c1000 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at d01c2000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: Intel ICH
        Kernel modules: snd-intel8x0

00:1f.0 ISA bridge [0601]: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC 
Interface Bridge [8086:2640] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Kernel modules: iTCO_wdt, intel-rng

00:1f.1 IDE interface [0101]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 
Family) IDE Controller [8086:266f] (rev 03) (prog-if 8a [Master SecP PriP])
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 18
        Region 0: I/O ports at 01f0 [size=8]
        Region 1: I/O ports at 03f4 [size=1]
        Region 2: I/O ports at 0170 [size=8]
        Region 3: I/O ports at 0374 [size=1]
        Region 4: I/O ports at f000 [size=16]
        Kernel driver in use: ata_piix

00:1f.2 IDE interface [0101]: Intel Corporation 82801FR/FRW (ICH6R/ICH6RW) SATA 
Controller [8086:2652] (rev 03) (prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 19
        Region 0: I/O ports at e900 [size=8]
        Region 1: I/O ports at ea00 [size=4]
        Region 2: I/O ports at eb00 [size=8]
        Region 3: I/O ports at ec00 [size=4]
        Region 4: I/O ports at ed00 [size=16]
        Region 5: Memory at d01c3000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>
        Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) 
SMBus Controller [8086:266a] (rev 03)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:fb83]
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin B routed to IRQ 11
        Region 4: I/O ports at 0500 [size=32]
        Kernel modules: i2c-i801

01:0a.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306 Fire II IEEE 
1394 OHCI Link Layer Controller [1106:3044] (rev 80) (prog-if 10)
        Subsystem: VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link 
Layer Controller [1106:3044]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (8000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0024000 (32-bit, non-prefetchable) [size=2K]
        Region 1: I/O ports at d000 [size=128]
        Capabilities: <access denied>
        Kernel driver in use: ohci1394
        Kernel modules: firewire-ohci, ohci1394

01:0b.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8001 
Gigabit Ethernet Controller [11ab:4320] (rev 13)
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device [1297:c230]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (5750ns min, 7750ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at d0020000 (32-bit, non-prefetchable) [size=16K]
        Region 1: I/O ports at d100 [size=256]
        [virtual] Expansion ROM at 40000000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: skge
        Kernel modules: skge

** Affects: ubuntu
     Importance: Undecided
         Status: New

-- 
Alsa
https://bugs.launchpad.net/bugs/385592
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to